<?php
/**
 * Class AddShipmentMetabox
 *
 * @package DhlPolska\Shipment
 */

namespace DhlPolska\Shipment;

use DhlPolskaVendor\WPDesk\PluginBuilder\Plugin\Hookable;

/**
 * Can add DHL option to options.
 */
class AddShipmentMetabox implements Hookable {

	/**
	 * Hooks.
	 */
	public function hooks() {
		add_filter( 'flexible_shipping_add_shipping_options', [ $this, 'add_shipping_option' ] );
	}

	/**
	 * @param array<string, string> $options
	 *
	 * @return array<string, string>
	 * @internal
	 */
	public function add_shipping_option( $options ) {
		$options['dhl_polska'] = __( 'DHL Polska', 'dhl-polska' );

		return $options;
	}
}
